version: 2

models:
  - name: dim_countries
    description: "A list of all countries and some additional information. Taken from https://github.com/dr5hn/countries-states-cities-database
      We add a country_group column that assigns the countries to groups based on our business logic. Current groups are EFTA+UK, US+Canada, APAC and RoW."
    columns:
      - name: id
        description: "Unique ID and primary key of the table"
        tests:
          - not_null
          - unique
      - name: country_name
        description: "{{ doc('country_name') }}"
        tests:
          - not_null
          - unique
      - name: country_group
        description: "{{ doc('country_group') }}"
        tests:
          - not_null
          - accepted_values:
              values: ['EFTA+UK', 'US+Canada', 'APAC', 'RoW']
      - name: iso2
        description: "The two letter abbrevation of the country according to the ISO 3166 standard"
        tests:
          - not_null
          - unique
      - name: iso3
        description: "The three letter abbrevation of the country according to the ISO 3166 standard"
      - name: iso_numeric_code
        description: "The numberic code of the country according to the ISO 3166 standard"
      - name: phone_code
        description: ""
      - name: capital
        description: ""
      - name: currency
        description: ""
      - name: currency_name
        description: ""
      - name: top_level_domain
        description: ""
      - name: region
        description: ""
      - name: subregion
        description: ""
      - name: latitude
        description: ""
      - name: longitude
        description: ""